//=============================================================================
// InstaTracer.
//=============================================================================
class InstaTracer extends Projectile;

simulated function PostBeginPlay()
{
	Super.PostBeginPlay();
	SetTimer(0.05,True);
}

simulated function ProcessTouch (Actor Other, vector HitLocation)
{
	If ( Other!=Instigator )
		Destroy();
}

simulated function Explode(vector HitLocation, vector HitNormal)
{
        if ( VSize(Location - Instigator.Location) > 220 )
                HurtRadius(Damage,220.0, MyDamageType, MomentumTransfer, HitLocation );
	Destroy();
}

defaultproperties
{
     speed=8000.000000
     MaxSpeed=8000.000000
     MomentumTransfer=80000
     bReplicateInstigator=False
     RemoteRole=ROLE_SimulatedProxy
     LifeSpan=2.000000
     Style=STY_Translucent
     Texture=FireTexture'UnrealShare.Effect1.FireEffect1u'
     Mesh=LodMesh'Botpack.MiniTrace'
     AmbientGlow=187
     bUnlit=True
}