class ISP_TeamBrowser extends TeamBrowser;

function NextPressed()
{
        local EnemyBrowser EB;

        HideWindow();
        EB = EnemyBrowser(Root.CreateWindow(class'ISP_EnemyBrowser', 100, 100, 200, 200, Root, True));
        EB.LadderWindow = LadderWindow;
        EB.TeamWindow = Self;
        EB.Ladder = Ladder;
        EB.Match = Match;
        EB.GameType = GameType;
        EB.Initialize();
}

function StartMap(string StartMap, int Rung, string GameType)
{
        StartMap = StartMap
                                $"?Game="$GameType
                                $"?Mutator=InstaSniper.SingleMutator"
                                $"?Tournament="$Rung
                                $"?Name="$GetPlayerOwner().PlayerReplicationInfo.PlayerName
                                $"?Team=0";

        Root.SetMousePos((Root.WinWidth*Root.GUIScale)/2, (Root.WinHeight*Root.GUIScale)/2);
        Root.Console.CloseUWindow();
        GetPlayerOwner().ClientTravel(StartMap, TRAVEL_Absolute, True);
}

defaultproperties
{
}
